Album: SLEEPING IN
Artists:
- peak divide
- Rachel Lake (featuring)
Date: February 25, 2025
#Date Added: February 27, 2025
URLs:
- https://peakdivide.bandcamp.com/album/sleeping-in
Cover Artists:
- D-CELL GAMES #artist unknown
Cover Art File Extension: png
Color: '#f2f4f0'
Groups:
- Beyond
Commentary: |-
    <i>peak divide:</i> ([Bandcamp about blurb](https://peakdivide.bandcamp.com/album/unbeatable-demo-tapes))

    you can't remember the version of you from ten seconds ago but it made a promise you need to keep
---
Track: SLEEPING IN
Contributors:
- Rachel Lake (composition, vocals)
- rj lake (composition, mixing, mastering, lyrics)
- Clara Maddux (composition, arrangement, guitars, drums, mixing)
Duration: 2:40
URLs:
- https://peakdivide.bandcamp.com/track/sleeping-in
- https://www.youtube.com/watch?v=6yA6GlA1xxw
Lyrics: |-
    good morning
    it’s afternoon
    you're doing the same shit

    it's
    boring
    a lame excuse
    i've gotten used to it

    why can't you just pay attention
    the way you act you barely care

    I'M SO
    GODDAMN TIRED ALL THE TIME, YO
    AND I'M NOT EVEN AWAKE
    BREATHE OUT
    I'M SLEEPING IN TOO LATE
    PAST THE MORNING, EVERY DAY

    oh hey
    it's me again
    i'm doing the same shit

    why can't i just do what i say i want to
    do what i tell myself that i want

    why can't i just pay attention
    why can't i just flip that switch
    why can't i just change direction
    why can't i get out of this

    I'M SO
    GODDAMN TIRED ALL THE TIME, YO
    AND I'M NOT EVEN AWAKE
    BREATHE OUT
    I'M SLEEPING IN TOO LATE
    PAST THE MORNING, EVERY DAY
    SO
    GODDAMN TIRED ALL THE TIME, YO
    AND I'M NOT EVEN AWAKE
    BREATHE OUT
    I'M SLEEPING IN PAST EIGHT
    in the evening
---
Section: Bonus Track
---
Track: SLEEPING IN INSTRUMENTAL
Artists:
- peak divide
Contributors:
- Rachel Lake (composition, vocals)
- rj lake (composition, mixing, mastering)
- Clara Maddux (composition, arrangement, guitars, drums, mixing)
Duration: 2:40
# no URL, hidden bonus track on Bandcamp
Referenced Tracks:
- SLEEPING IN
